/*
 * K-best measurements: Bryant and Hallaron
 *
 * Luis Paulo Santos 2006
 *
 */

// set Kbets parameters and alloc data structures
extern void Kbest_set (int, double);

extern void Kbest_destroy (void);

// restart Kbest counters
 extern void Kbest_ini (void);

// insert into Kbest values
extern int Kbest_insert (double);

// get CPE for current measurement
extern double Kbest_get (void);

// maximum number of tries
#define KBEST_M  10
// required number of samples to converge
#define KBEST_K  4
// tolerance
#define KBEST_E  0.01L
