/*
 *
 * Estrutura de dados
 *
 * Luis Paulo Santos 2006
 *
 */

#ifdef USE_FLOAT
typedef float data_t;
#else
typedef int data_t;
#endif

// inicia a estrutura de dados com n elementos
extern void data_ini (int);
// destroi a estrutura de dados
extern void data_destroy (void);
// devolve elemento indice i
extern data_t get_elem (int);
// devolve numero de elementos da estrutura
extern int get_length (void);
// devolve apontador para inicio da estrutura
extern data_t * get_vec_addr (void);
